---
issues:
- subscriptions
- award_emoji
- author
- assignees
- updated_by
- milestone
- notes
- label_links
- labels
- last_edited_by
- todos
- user_agent_detail
- moved_to
- events
- merge_requests_closing_issues
- metrics
- timelogs
- issue_assignees
- epic_issue
- epic
events:
- author
- project
- target
- push_event_payload
notes:
- award_emoji
- project
- noteable
- author
- updated_by
- last_edited_by
- resolved_by
- todos
- events
- system_note_metadata
label_links:
- target
- label
label:
- subscriptions
- project
- lists
- label_links
- issues
- merge_requests
- priorities
milestone:
- group
- project
- issues
- labels
- merge_requests
- participants
- events
- boards
snippets:
- author
- project
- notes
- award_emoji
- user_agent_detail
releases:
- project
project_members:
- created_by
- user
- source
- project
merge_requests:
- subscriptions
- award_emoji
- author
- assignee
- updated_by
- milestone
- notes
- label_links
- labels
- last_edited_by
- todos
- target_project
- source_project
- merge_user
- merge_request_diffs
- merge_request_diff
- events
- merge_requests_closing_issues
- metrics
- approvals
- approvers
- approver_groups
- timelogs
- head_pipeline
- latest_merge_request_diff
- approved_by_users
merge_request_diff:
- merge_request
- merge_request_diff_commits
- merge_request_diff_files
merge_request_diff_commits:
- merge_request_diff
merge_request_diff_files:
- merge_request_diff
pipelines:
- project
- user
- stages
- statuses
- builds
- trigger_requests
- variables
- auto_canceled_by
- auto_canceled_pipelines
- auto_canceled_jobs
- pending_builds
- retryable_builds
- cancelable_statuses
- manual_actions
- artifacts
- pipeline_schedule
- merge_requests
- source_pipeline
- sourced_pipelines
- triggered_by_pipeline
- triggered_pipelines
- chat_data # EE only
pipeline_variables:
- pipeline
stages:
- project
- pipeline
- statuses
- builds
statuses:
- project
- pipeline
- stage
- user
- auto_canceled_by
variables:
- project
triggers:
- project
- trigger_requests
- owner
pipeline_schedules:
- project
- owner
- pipelines
- last_pipeline
- variables
pipeline_schedule:
- pipelines
pipeline_schedule_variables:
- pipeline_schedule
deploy_keys:
- user
- deploy_keys_projects
- projects
services:
- project
- service_hook
hooks:
- project
- web_hook_logs
protected_branches:
- project
- merge_access_levels
- push_access_levels
protected_tags:
- project
- create_access_levels
merge_access_levels:
- user
- protected_branch
- group
push_access_levels:
- user
- protected_branch
- group
create_access_levels:
- user
- protected_tag
- group
container_repositories:
- project
- name
project:
- taggings
- base_tags
- tag_taggings
- tags
- chat_services
- cluster
- clusters
- cluster_project
- creator
- group
- namespace
- boards
- last_event
- services
- campfire_service
- drone_ci_service
- emails_on_push_service
- pipelines_email_service
- mattermost_slash_commands_service
- slack_slash_commands_service
- gitlab_slack_application_service
- github_service
- irker_service
- packagist_service
- pivotaltracker_service
- prometheus_service
- hipchat_service
- flowdock_service
- assembla_service
- asana_service
- gemnasium_service
- slack_service
- microsoft_teams_service
- mattermost_service
- buildkite_service
- bamboo_service
- teamcity_service
- pushover_service
- jira_service
- redmine_service
- custom_issue_tracker_service
- bugzilla_service
- gitlab_issue_tracker_service
- external_wiki_service
- kubernetes_service
- mock_ci_service
- mock_deployment_service
- mock_monitoring_service
- forked_project_link
- forked_from_project
- forked_project_links
- forks
- merge_requests
- fork_merge_requests
- issues
- labels
- events
- milestones
- notes
- snippets
- hooks
- protected_branches
- protected_tags
- project_members
- users
- requesters
- deploy_keys_projects
- deploy_keys
- users_star_projects
- starrers
- releases
- lfs_objects_projects
- lfs_objects
- project_group_links
- invited_groups
- todos
- notification_settings
- import_data
- commit_statuses
- pipelines
- builds
- runner_projects
- runners
- active_runners
- variables
- triggers
- pipeline_schedules
- environments
- deployments
- project_feature
- auto_devops
- pages_domains
- authorized_users
- project_authorizations
- mirror_user
- push_rule
- jenkins_service
- jenkins_deprecated_service
- index_status
- approvers
- pages_domains
- audit_events
- remote_mirrors
- path_locks
- approver_groups
- route
- redirect_routes
- statistics
- container_repositories
- uploads
- mirror_data
- repository_state
- source_pipelines
- sourced_pipelines
- members_and_requesters
- build_trace_section_names
- root_of_fork_network
- fork_network_member
- fork_network
- custom_attributes
- prometheus_metrics
- lfs_file_locks
- project_badges
- source_of_merge_requests
- internal_ids
award_emoji:
- awardable
- user
priorities:
- label
prometheus_metrics:
- project
timelogs:
- issue
- merge_request
- user
push_event_payload:
- event
issue_assignees:
- issue
- assignee
epic_issues:
- issue
- epic
lfs_file_locks:
- user
project_badges:
- project
